net.minecraft.util

## Class EntityDamageSourceIndirect

- java.lang.Object
- - net.minecraft.util.DamageSource
  - - net.minecraft.util.EntityDamageSource
    - - net.minecraft.util.EntityDamageSourceIndirect

-     public class EntityDamageSourceIndirect
      extends EntityDamageSource

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.util.EntityDamageSource

      `damageSourceEntity`

    - ### Fields inherited from class net.minecraft.util.DamageSource

      `anvil, cactus, damageType, drown, fall, fallingBlock, generic, inFire, inWall, lava, magic, onFire, outOfWorld, starve, wither`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityDamageSourceIndirect(java.lang.String par1Str, Entity par2Entity, Entity par3Entity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IChatComponent` | `func_151519_b(EntityLivingBase p_151519_1_)`
    `Entity` | `getEntity()`
    `Entity` | `getSourceOfDamage()`

    - ### Methods inherited from class net.minecraft.util.EntityDamageSource

      `isDifficultyScaled`

    - ### Methods inherited from class net.minecraft.util.DamageSource

      `canHarmInCreative, causeArrowDamage, causeFireballDamage, causeIndirectMagicDamage, causeMobDamage, causePlayerDamage, causeThornsDamage, causeThrownDamage, getDamageType, getHungerDamage, isDamageAbsolute, isExplosion, isFireDamage, isMagicDamage, isProjectile, isUnblockable, setDamageAllowedInCreativeMode, setDamageBypassesArmor, setDamageIsAbsolute, setDifficultyScaled, setExplosion, setExplosionSource, setFireDamage, setMagicDamage, setProjectile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityDamageSourceIndirect

          public EntityDamageSourceIndirect(java.lang.String par1Str,
                                    Entity par2Entity,
                                    Entity par3Entity)

  - ### Method Detail

    - #### getSourceOfDamage

          public Entity getSourceOfDamage()

      Overrides:
        `getSourceOfDamage` in class `DamageSource`

    - #### getEntity

          public Entity getEntity()

      Overrides:
        `getEntity` in class `EntityDamageSource`

    - #### func_151519_b

          public IChatComponent func_151519_b(EntityLivingBase p_151519_1_)

      Overrides:
        `func_151519_b` in class `EntityDamageSource`